searchNodes=[{"doc":"Main API for the UrbitEx Package. Initializes the Urbit ship, logs in, opens an Eyre channel and starts an Server-side event pipeline. Start the connection with UrbitEx.start/2 Subscribe to event streams with UrbitEx.subscribe. Once subscribed, Urbit server-side events will be sent as messages from the GenServer process to the current process. Set up your own logic to respond to events sent from Urbit inside UrbitEx.recv().","ref":"UrbitEx.html","title":"UrbitEx","type":"module"},{"doc":"","ref":"UrbitEx.html#check_state/1","title":"UrbitEx.check_state/1","type":"function"},{"doc":"Starts a recursive loop that reacts to events received from your Urbit ship. Set up your own logic inside the receive loop.","ref":"UrbitEx.html#recv/0","title":"UrbitEx.recv/0","type":"function"},{"doc":"Starts the Urbit instance.Examplesiex&gt; {:ok, pid} = UrbitEx.start(&quot;http://localhost:8080&quot;, &quot;sampel-dozzod-mirtyl-marzod&quot;)","ref":"UrbitEx.html#start/2","title":"UrbitEx.start/2","type":"function"},{"doc":"Subscribes to event streams. Takes the pid of the connection (returned by UrbitExstart()), and a list of subscriptions. If it's a single subscription you want just wrap it in a list.","ref":"UrbitEx.html#subscribe/2","title":"UrbitEx.subscribe/2","type":"function"},{"doc":"Function provided for testing purposes. It will subscribe to the same event streams as the Landscape client does. Returns the pid of the GenServer started. Check the state with check_state(pid) and you can browse all events received, etc.","ref":"UrbitEx.html#test/0","title":"UrbitEx.test/0","type":"function"},{"doc":"Module with the base functions to build requests to send to Airlock. The Genserver calls functions in this module. Each function returns the session it received.","ref":"UrbitEx.API.html","title":"UrbitEx.API","type":"module"},{"doc":"","ref":"UrbitEx.API.html#init/2","title":"UrbitEx.API.init/2","type":"function"},{"doc":"","ref":"UrbitEx.API.html#login/1","title":"UrbitEx.API.login/1","type":"function"},{"doc":"","ref":"UrbitEx.API.html#logout/1","title":"UrbitEx.API.logout/1","type":"function"},{"doc":"","ref":"UrbitEx.API.html#open_channel/1","title":"UrbitEx.API.open_channel/1","type":"function"},{"doc":"","ref":"UrbitEx.API.html#start_sse/1","title":"UrbitEx.API.start_sse/1","type":"function"},{"doc":"","ref":"UrbitEx.API.html#subscribe/2","title":"UrbitEx.API.subscribe/2","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html","title":"UrbitEx.Actions","type":"module"},{"doc":"","ref":"UrbitEx.Actions.html#ack/1","title":"UrbitEx.Actions.ack/1","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html#poke/4","title":"UrbitEx.Actions.poke/4","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html#subscribe/3","title":"UrbitEx.Actions.subscribe/3","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html#unsubscribe/1","title":"UrbitEx.Actions.unsubscribe/1","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html","title":"UrbitEx.Airlock","type":"module"},{"doc":"","ref":"UrbitEx.Airlock.html#get/2","title":"UrbitEx.Airlock.get/2","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#post/2","title":"UrbitEx.Airlock.post/2","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#post/3","title":"UrbitEx.Airlock.post/3","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#put/4","title":"UrbitEx.Airlock.put/4","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#sse/4","title":"UrbitEx.Airlock.sse/4","type":"function"},{"doc":"Main GenServer, called by the UrbitEx module. Starts a GenServer which keeps an Urbit login session as its state, keeping track of the Eyre channel, the actions sent and events received.","ref":"UrbitEx.Server.html","title":"UrbitEx.Server","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"UrbitEx.Server.html#child_spec/1","title":"UrbitEx.Server.child_spec/1","type":"function"},{"doc":"","ref":"UrbitEx.Server.html#start_link/2","title":"UrbitEx.Server.start_link/2","type":"function"},{"doc":"","ref":"UrbitEx.Session.html","title":"UrbitEx.Session","type":"module"},{"doc":"","ref":"UrbitEx.Utils.html","title":"UrbitEx.Utils","type":"module"},{"doc":"","ref":"UrbitEx.Utils.html#check_bisyllable/1","title":"UrbitEx.Utils.check_bisyllable/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#check_long/1","title":"UrbitEx.Utils.check_long/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#check_patp/1","title":"UrbitEx.Utils.check_patp/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#extract_text/1","title":"UrbitEx.Utils.extract_text/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#extract_token/2","title":"UrbitEx.Utils.extract_token/2","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#random_hex/1","title":"UrbitEx.Utils.random_hex/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#syllabize/1","title":"UrbitEx.Utils.syllabize/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#tokenize/1","title":"UrbitEx.Utils.tokenize/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#tokenize_item/2","title":"UrbitEx.Utils.tokenize_item/2","type":"function"}]